| darcs | Source code | Contents | Index
Darcs.Patch.Commute
Documentation
fromPrims :: FromPrims p => FL Prim -> p | Source
modernizePatch :: Patch -> Patch | Source
merge :: Commute p => (p :\/: p) -> p :/\: p | Source
elegantMerge :: (Patch :\/: Patch) -> Maybe (Patch :/\: Patch) | Source
merger :: String -> Patch -> Patch -> Patch | Source
unravel :: Patch -> [FL Prim] | Source
public_unravel :: Patch -> [Sealed (FL Prim)] | Source
mangle_unravelled :: [Sealed (FL Prim)] -> Sealed (FL Prim) | Source
type CommuteFunction = (Patch :< Patch) -> Perhaps (Patch :< Patch) | Source
data Perhaps a | Source
Constructors
Unknown |
Failed |
Succeeded a |
Instances
Monad Perhaps
MonadPlus Perhaps
toMaybe :: Perhaps a -> Maybe a | Source
Produced by Haddock version 2.4.2